Retrieve concurrent and daily execution metrics

GET https://{controlplane_path}/api/1/rest/public/runtime/api-stats/{env_org}      

This API retrieves the concurrent and daily metrics of pipeline executions at the specified time.

Prerequisites

  • Environment (Org) admin permissions

Path parameters

Key Description
controlplane_path Required. The path to the SnapLogic control plane: elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For example:
  • uat.elastic.snaplogic.com
  • emea.snaplogic.com
env_org Required. The name of the SnapLogic environment/Org. For example, My-Dev-Env

Query parameters

Key Type Description
date_time string The time in UTC format.

Default: The current time.

Example: date_time=2021-12-31T01:01:01

Request header

In the request header, specify Basic for authorization, add your credentials (Login and password of your SnapLogic user or service account), and specify application/json for content type. For more details on accounts refer to Manage accounts.


Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
          

Example of Basic authentication using Postman

When using JWT authentication, the API requests includes specific headers. In the request header, specify Bearer Token for authorization, add the token, and specify application/json for content type. These headers are automatically added when you configure bearer token authentication in your API client. The authorization header contains the word Bearer followed by a space and your JWT token.


Authorization: Bearer Token {token}
Content-Type: application/json
          

Example of JWT authenthication using Postman

Request body

None.

Response

Note: The results include only the pipeline executions that you have permissions to view. Environment/Org admins can view all pipeline executions.
 {
  "response_map": {
    "organization": "...",
    "daily_limit": ...,
    "daily_call_used": ...,
    "concurrent_limit": ...,
    "concurrent_call_in_progress": ...
  },
  "http_status_code": 200
}
Key Type Description
organization string The name of the SnapLogic Environment/Org.
daily_limit integer The maximum number of pipeline executions that the Environment/Org is allowed in a day.
daily_call_used integer The number of pipeline executions that were executed in the current day.
concurrent_limit integer The maximum number of concurrent pipeline executions that the Environment/Org is allowed.
concurrent_call_in_progress integer The number of pipeline executions that are concurrently in progress.

Examples

  • To retrieve the concurrent and daily metrics for API usage for today,
     GET https://elastic.snaplogic.com/api/1/rest/public/runtime/api-stats/myEnvOrg